### Method

# WebKit UserContentManager add_filter

since: 2.24

#### Declaration [src]

    void
    webkit_user_content_manager_add_filter (
      WebKitUserContentManager* manager,
      WebKitUserContentFilter* filter
    )

#### Description [src]

Adds a `WebKitUserContentFilter` to the given `WebKitUserContentManager`.

The same `WebKitUserContentFilter` can be reused with multiple `WebKitUserContentManager` instances.

Filters need to be saved and loaded from `WebKitUserContentFilterStore`.

Available since: 2.24

#### Parameters

`filter`

  Type: `WebKitUserContentFilter`

  A `WebKitUserContentFilter`.

  The data is owned by the caller of the method.